Package tigase.util.stringprep

# Class XMPPStringPrepSimple

java.lang.Object
tigase.util.stringprep.XMPPStringPrepSimple

All Implemented Interfaces:
  `XMPPStringPrepIfc`

public class XMPPStringPrepSimple extends Object implements XMPPStringPrepIfc
Created: Feb 4, 2010 9:31:23 AM

Version:
  $Rev$
Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMPPStringPrepSimple()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `nameprep(String domain)`
  JID's domain part stringprep processing.
  `String`
  `nodeprep(String localpart)`
  JID's localpart (or nick name) stringprep processing.
  `String`
  `resourceprep(String resource)`
  JID's resource stringprep proessing.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMPPStringPrepSimple

    public XMPPStringPrepSimple()

- ## Method Details

  - ### nameprep

    public String nameprep(String domain) throws TigaseStringprepException
    Description copied from interface: `XMPPStringPrepIfc`
    JID's domain part stringprep processing. In RFC-3920 this is called nameprep processing.
    Specified by:
      `nameprep` in interface `XMPPStringPrepIfc`
    Parameters:
      `domain` - a `String` value of the JID's domain part.
    Returns:
      nameprep processed JID's doman part.
    Throws:
      `TigaseStringprepException` - if stringprep exception occurs.

  - ### nodeprep

    public String nodeprep(String localpart) throws TigaseStringprepException
    Description copied from interface: `XMPPStringPrepIfc`
    JID's localpart (or nick name) stringprep processing. In RFC-3920 this is called nodeprep processing.
    Specified by:
      `nodeprep` in interface `XMPPStringPrepIfc`
    Parameters:
      `localpart` - a `String` value of the JID's localpart.
    Returns:
      nodeprep processed JID's localpart.
    Throws:
      `TigaseStringprepException` - if stringprep exception occurs.

  - ### resourceprep

    public String resourceprep(String resource) throws TigaseStringprepException
    Description copied from interface: `XMPPStringPrepIfc`
    JID's resource stringprep proessing. In RFC-3920 this is called resourceprep processing.
    Specified by:
      `resourceprep` in interface `XMPPStringPrepIfc`
    Parameters:
      `resource` - a `String` value of the JID's resource part.
    Returns:
      resourceprep processed JID's resource part.
    Throws:
      `TigaseStringprepException` - if stringprep exception occurs.